Subject: Re: bug#23826: 25.1.50; Wrong fontification of parameter in c++-mode

From: Stefan Kangas <[email-masked]>
Date: Thu, 3 Oct 2019 06:18:11 +0200

Ivan Andrus <[email-masked]> writes:

>>>From `emacs -Q`, open a buffer in c++-mode and insert the following:
>
> // X is fontified with font-lock-variable-face and x is not fontified
> int foo(xml::XmlElement xml, X const& x )
> {
>     return 0;
> }
>
> // Fontified correctly
> int bar(XmlElement xml, X const& x )
> {
>     return 1;
> }
>
>
> Notice that the namespace qualification of XmlElement causes the second
> parameter to be incorrectly fontified (or so it appears).

I can't reproduce this on current master: X has font-lock-type-face and
x font-lock-variable-name-face.

Are you still seeing this on a recent version of Emacs?

If I don't hear back from you within a couple of weeks, I'll just assume
that this has been fixed and close this as unreproducible.

Best regards,
Stefan Kangas